org.apache.poi.ss.usermodel.charts

## Enum AxisCrosses

- java.lang.Object
- - java.lang.Enum<AxisCrosses>
  - - org.apache.poi.ss.usermodel.charts.AxisCrosses

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AxisCrosses>

  Deprecated.
  use XDDF AxisCrosses instead

      @Deprecated
       @Removal(version="4.2")
      public enum AxisCrosses
      extends java.lang.Enum<AxisCrosses>

  Specifies the possible crossing points for an axis.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO_ZERO` Deprecated. The category axis crosses at the zero point of the value axis (if possible), or the minimum value (if the minimum is greater than zero) or the maximum (if the maximum is less than zero).
    `MAX` Deprecated. Axis crosses at the minimum value of the chart.
    `MIN` Deprecated. The axis crosses at the maximum value.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AxisCrosses` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static AxisCrosses[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO_ZERO

          public static final AxisCrosses AUTO_ZERO

      Deprecated.
      The category axis crosses at the zero point of the value axis (if possible), or the minimum value (if the minimum is greater than zero) or the maximum (if the maximum is less than zero).

    - #### MIN

          public static final AxisCrosses MIN

      Deprecated.
      The axis crosses at the maximum value.

    - #### MAX

          public static final AxisCrosses MAX

      Deprecated.
      Axis crosses at the minimum value of the chart.

  - ### Method Detail

    - #### values

          public static AxisCrosses[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AxisCrosses c : AxisCrosses.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AxisCrosses valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.